# $Revision: 1.106 $, $Date: 2012/04/17 15:30:46 $
Summary:	The GNU version of the awk text processing utility
Summary(de.UTF-8):	Die GNU-Version des AWK-Textverarbeitungsutilitys
Summary(es.UTF-8):	Utilitarios GNU para manipulación de archivos texto
Summary(fr.UTF-8):	Traitement de texte des utilitaires GNU
Summary(ja.UTF-8):	GNU バージョンの awk テキスト処理ユーティリティー
Summary(pl.UTF-8):	Wersja GNU awk - narzędzia do obróbki tekstów
Summary(pt_BR.UTF-8):	Utilitários GNU para manipulação arquivos texto
Summary(ru.UTF-8):	GNU версия утилиты обработки текстов awk
Summary(tr.UTF-8):	GNU araçları metin düzenleyici
Summary(uk.UTF-8):	GNU версія утиліти обробки текстів awk
Name:		gawk
Version:	4.0.1
Release:	1
License:	GPL v3+
Group:		Applications/Text
Source0:	http://ftp.gnu.org/gnu/gawk/%{name}-%{version}.tar.xz
# Source0-md5:	a601b032c39cd982f34272664f8afa49
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	80753d75be0f469f70e8c90e75121a9c
Patch0:		%{name}-info.patch
Patch1:		%{name}-shutup.patch
Patch2:		%{name}-pl.po-update.patch
URL:		http://www.gnu.org/software/gawk/
BuildRequires:	autoconf >= 2.68
BuildRequires:	automake >= 1:1.11
BuildRequires:	gettext-devel >= 0.18.1
BuildRequires:	libsigsegv
BuildRequires:	readline-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo >= 4.3
BuildRequires:	xz
Requires:	mktemp
Requires:	sed
Obsoletes:	gawk-doc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_includedir	%{_prefix}/include/awk

%description
The gawk packages contains the GNU version of awk, a text processing
utility. Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs. Gawk
should be upwardly compatible with the Bell Labs research version of
awk and is almost completely compliant with the 1993 POSIX 1003.2
standard for awk.

%description -l de.UTF-8
Das gawk-Paket enthält die GNU-Version von awk, einem
Textverarbeitungs-Utility. Awk interpretiert eine spezielle
Programmiersprache, um Textmuster zu suchen, und neu zu formatieren.
Gawk ist kompatibel zu der Bell Labs research-Version von awk, und ist
fast kompatibel zum 1993 POSIX 1003.2-awk-Standard.

%description -l es.UTF-8
Este es el GNU Awk. Debe ser compatible con la versión de pesquisa de
awk del Bell Labs. Es casi completamente vinculado con el padrón 1993
POSIX 1003.2 para awk. Gawk puede ser usado para procesar archivos
texto y se considera una herramienta padrón del Linux.

%description -l fr.UTF-8
awk de GNU, compatible vers le haut avec les versions awk des Bell
Labs. Il est presque totalement conforme au standard 1993 POSIX 1003.2
de awk.

%description -l ja.UTF-8
gawk パッケージは GNU バージョンの、テキスト処理ユーティリティー
である awk を含んでいます。awk は素早く、容易なパターンマッチングと
整形処理をするための特殊な目的の言語です。gawk はベル研のバージョンの
awk と上位互換で、awk の 1993 POSIX 1003.2 標準に完全に合致します。

%description -l pl.UTF-8
Pakiet zawiera implementację GNU interpretera języka awk, który
powinien być kompatybilny z aplikacją o tej samej nazwie zrobioną
przez Bell Labs. GNU awk jest w pełni zgodny ze standardem 1993 POSIX
1003.2.

Gawk (GNU awk) jest zaawansowanym językiem skryptowym, doskonale
nadającym się do obróbki plików tekstowych. Jest to jedno z
podstawowych narzędzi systemu Linux.

%description -l pt_BR.UTF-8
Este é o GNU Awk. Ele deve ser compatível com a versão de pesquisa de
awk do Bell Labs. Ele é quase completamente vinculado com o padrão
1993 POSIX 1003.2 para awk. Gawk pode ser usado para processar
arquivos texto e é considerado uma ferramenta padrão do Linux.

%description -l ru.UTF-8
Пакет gawk содержит GNU версию awk, утилиты обработки текстов. awk
интерпретирует специализированный язык программирования для быстрого и
легкого выполнения работ по сопоставлению с шаблонами и
переформатированию текстов. Gawk должен быть совместим с версией awk
от Bell Labs и практически полностью отвечает стандарту 1993 POSIX
1003.2 на awk.

%description -l tr.UTF-8
Gawk metin dosyalarını işlemek için kullanılan standart Linux
Araçlarından biridir.

%description -l uk.UTF-8
Пакет gawk містить GNU версію awk, утиліти обробки текстів. awk
інтерпретує спеціалізовану мову програмування для швидкого та легкого
виконання робіт по співставленню з шаблонами та переформатуванню
текстів. Gawk має бути сумісним з версією awk від Bell Labs і
практично повністю відповідає стандарту 1993 POSIX 1003.2 на awk.

%package devel
Summary:	Header files for gawk
Summary(pl.UTF-8):	Pliki nagłówkowe dla gawka
Group:		Development/Libraries

%description devel
This is the package containing the header files for gawk.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe dla gawka.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%{__rm} po/stamp-po

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}

%configure

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_includedir}
install *.h $RPM_BUILD_ROOT%{_includedir}

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
%{__rm} $RPM_BUILD_ROOT%{_bindir}/gawk-%{version}
%{__rm} $RPM_BUILD_ROOT%{_mandir}/README.gawk-non-english-man-pages
rm -f $RPM_BUILD_ROOT%{_datadir}/info/dir

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FUTURES LIMITATIONS NEWS POSIX.STD PROBLEMS README TODO
%attr(755,root,root) %{_bindir}/dgawk
%attr(755,root,root) %{_bindir}/gawk
%attr(755,root,root) %{_bindir}/igawk
%attr(755,root,root) %{_bindir}/pgawk*
%attr(755,root,root) %{_libdir}/awk
%{_datadir}/awk
%{_mandir}/man1/gawk.1*
%{_mandir}/man1/igawk.1*
%{_mandir}/man1/pgawk.1*
%lang(es) %{_mandir}/es/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%{_infodir}/gawk*.info*

%files devel
%defattr(644,root,root,755)
%{_includedir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gawk.spec,v $
Revision 1.106  2012/04/17 15:30:46  qboosh
- .xz BRs

Revision 1.105  2012/04/17 15:27:34  qboosh
- updated to 4.0.1
- updated pl.po-update patch
- removed obsolete gsub_regenerate patch

Revision 1.104  2011/07/14 19:08:51  draenog
- fix from upstream for gsub rebuilding $0 when no substiution was done
  http://lists.gnu.org/archive/html/bug-gawk/2011-07/msg00016.html

Revision 1.103  2011/07/03 07:35:49  qboosh
- added pl.po-update patch
- package TODO
- updated autotools BRs

Revision 1.102  2011/07/02 17:07:05  arekm
- add BR readline-devel for dgawk (awk debugger)

Revision 1.101  2011/07/02 17:04:47  arekm
- up to 4.0.0

Revision 1.100  2010/05/10 06:12:59  qboosh
- updated to 3.1.8
- now it uses external (static) libsigsegv

Revision 1.99  2009/12/14 00:12:27  sparky
- don't repeat README in %doc

Revision 1.98  2009/12/13 23:05:59  sparky
- fix md5

Revision 1.97  2009/12/13 21:44:33  sparky
- force newest libsigsegv (2.8), because included one (2.7) won't compile
  with new glibc

Revision 1.96  2009/07/27 18:18:54  arekm
- up to 3.1.7

Revision 1.95  2008/04/08 08:24:51  glen
- unify ftp.gnu.org urls

Revision 1.94  2008-01-24 01:22:59  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.93  2007-11-02 23:23:01  qboosh
- updated to 3.1.6 (GPLv3 applies)
- updated pl.po-update patch, removed obsolete 3.1.5* patches

Revision 1.92  2007/10/19 00:54:32  zbyniu
- added set of patches from fedora

Revision 1.91  2007/09/05 13:13:27  baggins
- rel 3

Revision 1.90  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.89  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.88  2006/03/25 15:06:59  glen
- rel 2

Revision 1.87  2006/03/25 13:40:17  qboosh
- pl for -devel

Revision 1.86  2006/03/24 22:54:22  glen
- created -devel

Revision 1.85  2005/08/16 20:52:12  qboosh
- updated to 3.1.5
- removed obsolete pmake,it_po,gettext-m4 patches, added pl.po-update patch

Revision 1.84  2005/04/17 13:00:24  sparky
- fixed build with new gettext

Revision 1.83  2005/03/21 22:05:50  mmazur
- rel 3 for th

Revision 1.82  2004/12/25 18:04:55  qboosh
- automake epoch

Revision 1.81  2004/10/12 21:40:23  mmazur
- rel 2 for th

Revision 1.80  2004/08/25 20:07:39  qboosh
- updated to 3.1.4, removed obsolete acinclude patch
- external pl.po replaced by GNU TP version already merged in sources
- dropped /usr/bin/awk symlink, it caused command conflict with /bin/awk (mawk)
  (warning: some packages used to depend on /usr/bin/awk, must be rebuilt)

Revision 1.79  2004/02/01 13:57:22  grzegol
- added acinclude patch (include .m4 files properly)

Revision 1.78  2004/01/02 17:20:27  jajcus
- Release: 3 (STBR after AMD64 fixes)

Revision 1.77  2003/12/25 16:28:50  jajcus
- do not redefine %{_libexecdir} it is properly defined in rpm macros

Revision 1.76  2003/09/05 00:23:23  ankry
- fixed it translation encoding (-it_po patch)

Revision 1.75  2003/08/30 12:36:56  mmazur
- rel 2 for ac

Revision 1.74  2003/08/18 08:08:05  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.73  2003/08/08 13:15:31  qboosh
- BR: texinfo >= 4.3 (BTS#684)

Revision 1.72  2003/07/10 22:46:20  qboosh
- updated pl.po

Revision 1.71  2003/07/09 07:53:28  trojan
- updated to 0.9.5
- updated info patch
- fixed redeneration ac/am

Revision 1.70  2003/05/28 10:25:59  djrzulf
- added BR,

Revision 1.69  2003/05/28 10:23:27  djrzulf
- gettextized

Revision 1.68  2003/05/26 12:59:37  djrzulf
- added patch correcting install procedure,

Revision 1.67  2003/05/25 11:00:51  malekith
- massive attack, adding Source-md5

Revision 1.66  2003/05/25 05:47:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.65  2003/04/22 19:37:14  qboosh
- added pl.po, release 2

Revision 1.64  2003/04/12 09:17:32  qboosh
- removed broken ac patch, proper fix: added -I m4 to autoconf (not aclocal)
- fixed info patch

Revision 1.63  2003/04/04 10:13:47  trojan
- updated to 3.1.2
- updated ac, info patches
- removed newsecurity patch (outdated)

Revision 1.62  2003/03/02 18:27:31  juandon
- added pmake.patch
- added ac.patch
- regeneration of configure scripts

Revision 1.61  2002/11/29 13:11:46  dobrek
- looks like rpm4.1 don't like broken lines or there was not enought testing

Revision 1.60  2002/11/27 18:27:38  juandon
- new %doc

Revision 1.59  2002/06/17 18:02:59  kloczek
- bump release to 3 and merge ja translations from Kondara.

Revision 1.58  2002/05/16 06:27:25  filon
- updated to 3.1.1
- hex.patch not needed, problem is solved in another way
- STBR

Revision 1.57  2002/04/25 16:21:04  arturs
fixed a small typo

Revision 1.56  2002/04/25 10:31:37  kloczek
- release 6,
- merge translations from KSI,
- merge hex patch from rawhie.

Revision 1.55  2002/02/23 02:06:16  kloczek
- adapterized.

Revision 1.54  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.53  2002/01/24 00:12:59  ankry
- added man-pages tar URL

Revision 1.52  2002/01/18 02:13:00  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.51  2001/11/08 21:56:58  ankry
- added es,fr,it,ja,pl man pages
- revision 5

Revision 1.50  2001/08/23 18:15:41  kloczek
- release 4,
- merge shutup patch from rawhide (do not warn about escape sequence treated
  as plain text),
- translations stolen from CNV.

Revision 1.49  2001/08/04 13:51:49  qboosh
- fixes in info patch
- %configure2_13 (autoconf won't work without patching)
- release 3

Revision 1.48  2001/07/26 05:42:07  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.46  2001/07/05 16:41:35  kloczek
- updated to 3.1.0,
- removed obsoleted patches, updated info patch and merged newsecurity patch
  from rawhide.

Revision 1.45  2001/05/16 10:13:23  kloczek
- relase 3,
- modifid mktmp patch: use ${TEMDIR:-/tmp} instead /tmp.

Revision 1.44  2000/10/16 22:55:44  kloczek
- relese 2: use new rpm automation.

Revision 1.43  2000/09/04 18:27:29  kloczek
- adapterized.

Revision 1.42  2000/09/02 08:06:32  wiget
- updated to 3.0.6
  kloczek, please update info patch

Revision 1.41  2000/07/10 12:53:06  cieciwa
- removed /bin/awk - in PLD /bin/awk is located in mawk package.

Revision 1.40  2000/07/10 11:03:05  cieciwa
- added temporarry link from bin/gawk to /usr/bin/awk and /usr/bin/gawk.

Revision 1.39  2000/07/10 10:25:52  cieciwa
- fixed location, removed __prefix, added __bindir as /bin,
- release++ [7].

Revision 1.38  2000/07/10 10:18:15  cieciwa
- added __prefix as "/" to fix missing /bin/awk.

Revision 1.37  2000/06/19 13:31:58  kloczek
- release 6,
- added "Obsoletes: gawk-doc".

Revision 1.36  2000/06/09 07:54:40  kloczek
- more %{__make} macros.

Revision 1.35  2000/06/09 07:22:50  kloczek
- added using %{__make} macro.

Revision 1.34  2000/05/24 16:50:45  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.33  2000/05/18 21:48:36  kloczek
- spec adapterized.

Revision 1.32  2000/05/02 19:11:28  kloczek
- remove symlink gawk -> gawk and remove gawk-%{version}.

Revision 1.31  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.30  2000/04/26 09:09:51  zagrodzki
- release++

Revision 1.29  2000/04/26 09:09:00  zagrodzki
- removed awk.1 from gawk, and moved to mawk

Revision 1.28  2000/04/25 17:08:53  zagrodzki
- wrong -p at %patch4

Revision 1.27  2000/04/17 14:59:11  kloczek
- added zero_flag patch from rawhide,
- spec adapterized.

Revision 1.26  2000/04/17 08:44:07  zagrodzki
- removed duplicate files entries
- BuildReq: texinfo

Revision 1.25  2000/04/15 14:27:04  zagrodzki
- mawk goes to /bin (not /usr/bin), gawk goes to /usr/bin(not /bin)
- updated releases

Revision 1.24  2000/04/11 22:16:27  zagrodzki
- mawk provides /bin/awk, and this should be placed in every "requires"

Revision 1.23  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.22  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.21  2000/01/31 00:51:12  kura
- added Provides: awk

Revision 1.20  1999/11/07 17:43:36  kura
- fixed typo

Revision 1.19  1999/09/24 10:45:02  pius
- moved running of /usr/sbin/fix-info-dir to %postun
- release up

Revision 1.18  1999/09/19 09:05:40  pius
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- standarization to "* text: (link).  description" index info entries format.

Revision 1.17  1999/08/18 22:18:14  kloczek
- updated to 3.0.4 (release 2),
- removed ps dok (can be generated from info files),
- updated %description and Summary,

Revision 1.16  1999/07/23 09:17:44  kloczek
- release 10.

Revision 1.15  1999/07/12 23:05:56  kloczek
- added using CVS keywords in %changelog (for automating them).
